<tr>
    <input type="hidden" name="regels_[% fieldgroup %]" value="[% actie_index %]"/>
    <td class="td250">
        Actie:
        [% actie_type = params.$fieldname || available_acties_order.0 %]
        <select name="regels_[% fieldname %]">  
            [% FOREACH available_actie = available_acties_order %]
            <option value="[% available_actie %]"
                [% IF available_actie == actie_type %]selected="selected"[% END %]
            >[% available_acties.$available_actie %]</option>
            [% END %]
        </select>
    </td>
    <td>
        [% IF actie_type == 'pauzeer_aanvraag' %]
            [% INCLUDE beheer/zaaktypen/milestones/rules/action/pause.tt %]
        [% ELSIF actie_type == 'toon_kenmerk' || actie_type == 'verberg_kenmerk' %]
            [% INCLUDE beheer/zaaktypen/milestones/rules/action/show.tt group_only=0 %]
        [% ELSIF actie_type == 'show_text_block' || actie_type == 'hide_text_block' %]
            [% INCLUDE beheer/zaaktypen/milestones/rules/action/show.tt text_block=1 %]
        [% ELSIF actie_type == 'show_group' || actie_type == 'hide_group' %]
            [% INCLUDE beheer/zaaktypen/milestones/rules/action/show.tt group_only=1 %]
        [% ELSIF actie_type == 'vul_waarde_in' %]
            [% INCLUDE beheer/zaaktypen/milestones/rules/action/set_value.tt %]
        [% ELSIF actie_type == 'vul_waarde_in_met_formule' %]
            [% INCLUDE beheer/zaaktypen/milestones/rules/action/set_value_formula.tt %]
        [% ELSIF actie_type == 'kopieer_waarde' %]
            [% INCLUDE beheer/zaaktypen/milestones/rules/action/copy.tt %]
        [% ELSIF actie_type == 'wijzig_registratiedatum' %]
            [% INCLUDE beheer/zaaktypen/milestones/rules/action/change_registration_date.tt %]
        [% ELSIF actie_type == 'sjabloon_genereren' %]
            [% INCLUDE beheer/zaaktypen/milestones/rules/action/generate_template.tt %]
        [% ELSIF actie_type == 'toewijzing' %]
            [% INCLUDE beheer/zaaktypen/milestones/rules/action/allocation.tt %]
        [% ELSE %]
            [%
                file = 'beheer/zaaktypen/milestones/rules/action/' _ actie_type _ '.tt';
                not_found_error = file _ ": not found";
                TRY;
                    INCLUDE $file;
                CATCH;

                  IF error.info == not_found_error;
                  THEN;


            %]
                Unsupported rule action found!
                <pre>[% actie_type | html_entity %]</pre>
                [% ELSE %]
                   ERROR! Type: [% error.type %]
                   Info: [% error.info %]
                [% END %]
            [% END %]
        [% END %]
    </td>
    [% new_item_id = 'new_' _ fieldgroup %]
    
    <td class="td20">
        [% IF (params.$fieldgroup && params.$fieldgroup.size > 1) || $new_item_id || can_remove_always %]
        <div class="row-actions">
            <a class="remove" href="#"><i class="icon-font-awesome icon-remove"></i></a>
        </div>
        [% END %]
    </td>
</tr>
